S = "${WORKDIR}/numptyphysics/trunk"
BBHOME = "/home/mkluge/openmoko_mokomakefile/local/packages/numptyphysics"

# $WORKDIR = $OMDIR/local/packages/<application directory>
# $bindir  = $OMDIR/build/tmp/work/armv4t-linux/<application directory>/image/usr/bin
# $docir   = $OMDIR/build/tmp/work/armv4t-linux/<application directory>/image/usr/share/doc
# $D       = $OMDIR/build/


do_fetch() {
        cd ${WORKDIR}
        svn co -r 45 https://garage.maemo.org/svn/numptyphysics
        cp ${BBHOME}/Config.h ${S}
        cp ${BBHOME}/Makefile ${S}
        cp ${BBHOME}/Game.cpp ${S}
}

do_configure() {
        clear
}

do_compile() {
         cd ${S}
         make
}

do_install() {
        mkdir -p ${D}/usr/share/numptyphysics/
        mkdir -p ${D}${bindir}
        mkdir -p ${D}/usr/share/pixmaps
        mkdir -p ${D}/usr/share/applications
        install -m 0755 ${S}/arm/Game ${D}${bindir}/numptyphysics
        install -m 0644 ${BBHOME}/star.png ${D}/usr/share/pixmaps
        install -m 0644 ${BBHOME}/numptyphysics.desktop ${D}/usr/share/applications
        cp -r ${BBHOME}/data/* ${D}/usr/share/numptyphysics
        chmod 644 ${D}/usr/share/numptyphysics/*
}
